from inputs.snap7_connect import SiemensCPU
from inputs.balluff_html import Balluff
from inputs.allen_bradley_connect import AllenBradleyCPU
from database import *
from datetime import datetime
import time

db1 = InfluxDB()
db2 = CSVFile()

cpu = SiemensCPU()

#print(cpu.synchronize())

balluff = Balluff()

ab = AllenBradleyCPU()
ab.start()

start = 0

while True:
  values = list(ab.read())
  dt = time.monotonic() - start
  start = time.monotonic()
  db1.write(values)
  db2.write(values)
  print("{:4d} Messungen in {:.03f} s, {:.3f} pro Sekunde".format(len(values), dt, len(values) / dt), end='\r')
  time.sleep(1)
